Bug 1335342 - [abrt] xfce4-sensors-plugin: strcmp(): xfce4-sensors-plugin killed by SIGSEGV
Summary: [abrt] xfce4-sensors-plugin: strcmp(): xfce4-sensors-plugin killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-sensors-plugin
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e51cab94cec27b0c2ab6526505a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-12 00:50 UTC by Julio Araujo
Modified: 2016-11-26 22:52 UTC (History)
3 users (show)

Fixed In Version: xfce4-sensors-plugin-1.2.6-1.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-26 22:52:36 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (72.41 KB, text/plain)
2016-05-12 00:50 UTC, Julio Araujo
no flags Details
File: cgroup (200 bytes, text/plain)
2016-05-12 00:50 UTC, Julio Araujo
no flags Details
File: core_backtrace (6.39 KB, text/plain)
2016-05-12 00:50 UTC, Julio Araujo
no flags Details
File: dso_list (7.25 KB, text/plain)
2016-05-12 00:50 UTC, Julio Araujo
no flags Details
File: environ (1.51 KB, text/plain)
2016-05-12 00:50 UTC, Julio Araujo
no flags Details
File: exploitable (82 bytes, text/plain)
2016-05-12 00:50 UTC, Julio Araujo
no flags Details
File: limits (1.29 KB, text/plain)
2016-05-12 00:50 UTC, Julio Araujo
no flags Details
File: maps (33.50 KB, text/plain)
2016-05-12 00:50 UTC, Julio Araujo
no flags Details
File: mountinfo (3.14 KB, text/plain)
2016-05-12 00:50 UTC, Julio Araujo
no flags Details
File: namespaces (85 bytes, text/plain)
2016-05-12 00:50 UTC, Julio Araujo
no flags Details
File: open_fds (532 bytes, text/plain)
2016-05-12 00:50 UTC, Julio Araujo
no flags Details
File: proc_pid_status (1.04 KB, text/plain)
2016-05-12 00:50 UTC, Julio Araujo
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-05-12 00:51 UTC, Julio Araujo
no flags Details

Description Julio Araujo 2016-05-12 00:50:34 UTC
Description of problem:
On system initialization(xfce4 initialization)

Version-Release number of selected component:
xfce4-sensors-plugin-1.2.5-3.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin '' 16 20971572 xfce4-sensors-plugin 'Sensor plugin' 'Show sensor values.' ''
crash_function: strcmp
executable:     /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin
global_pid:     1917
kernel:         4.4.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strcmp at ../sysdeps/x86_64/strcmp.S:632
 #1 sensors_read_config at configuration.c:340
 #2 sensors_plugin_construct at sensors-plugin.c:2276
 #3 _xpp_realize at sensors-plugin.c:2314
 #8 gtk_widget_realize at gtkwidget.c:3561
 #9 gtk_widget_map at gtkwidget.c:3435
 #10 gtk_plug_map at gtkplug.c:717
 #11 _g_closure_invoke_va at gclosure.c:864
 #14 gtk_widget_map at gtkwidget.c:3437
 #15 gtk_window_show at gtkwindow.c:4555

Potential duplicate: bug 1084864

Comment 1 Julio Araujo 2016-05-12 00:50:41 UTC
Created attachment 1156362 [details]
File: backtrace

Comment 2 Julio Araujo 2016-05-12 00:50:43 UTC
Created attachment 1156363 [details]
File: cgroup

Comment 3 Julio Araujo 2016-05-12 00:50:45 UTC
Created attachment 1156364 [details]
File: core_backtrace

Comment 4 Julio Araujo 2016-05-12 00:50:46 UTC
Created attachment 1156365 [details]
File: dso_list

Comment 5 Julio Araujo 2016-05-12 00:50:48 UTC
Created attachment 1156366 [details]
File: environ

Comment 6 Julio Araujo 2016-05-12 00:50:49 UTC
Created attachment 1156367 [details]
File: exploitable

Comment 7 Julio Araujo 2016-05-12 00:50:51 UTC
Created attachment 1156368 [details]
File: limits

Comment 8 Julio Araujo 2016-05-12 00:50:53 UTC
Created attachment 1156369 [details]
File: maps

Comment 9 Julio Araujo 2016-05-12 00:50:55 UTC
Created attachment 1156370 [details]
File: mountinfo

Comment 10 Julio Araujo 2016-05-12 00:50:56 UTC
Created attachment 1156371 [details]
File: namespaces

Comment 11 Julio Araujo 2016-05-12 00:50:58 UTC
Created attachment 1156372 [details]
File: open_fds

Comment 12 Julio Araujo 2016-05-12 00:50:59 UTC
Created attachment 1156373 [details]
File: proc_pid_status

Comment 13 Julio Araujo 2016-05-12 00:51:01 UTC
Created attachment 1156374 [details]
File: var_log_messages

Comment 14 Fedora Update System 2016-11-12 23:35:22 UTC
xfce4-sensors-plugin-1.2.6-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-178d836803

Comment 15 Fedora Update System 2016-11-13 18:20:57 UTC
xfce4-sensors-plugin-1.2.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-178d836803

Comment 16 Fedora End Of Life 2016-11-25 09:00:39 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora Update System 2016-11-26 22:52:36 UTC
xfce4-sensors-plugin-1.2.6-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.